Bug 648023 - Review Request: erlang-js - A Friendly Erlang to Javascript Binding
Review Request: erlang-js - A Friendly Erlang to Javascript Binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On: 591926
Blocks: 652629
  Show dependency treegraph
 
Reported: 2010-10-30 10:25 EDT by Peter Lemenkov
Modified: 2011-03-07 13:24 EST (History)
3 users (show)

See Also:
Fixed In Version: erlang-js-0.5.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-20 03:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tim: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-10-30 10:25:35 EDT
Spec URL: http://peter.fedorapeople.org/erlang-js.spec
SRPM URL: http://peter.fedorapeople.org/erlang-js-0.4-1.fc12.src.rpm
Description: A Friendly Erlang to Javascript Binding.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2565145

rpmlint:
sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-js-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
sulaco ~/rpmbuild/SPECS:

This is one of the requirements for Riak. Unfortunately this library requires UTF-8 support in js, which is enabled only in F-14+, so no luck for EPEL and F-12/F-13 users so far.
Comment 1 Peter Lemenkov 2011-01-11 11:09:35 EST
Ver. 0.5.0:
http://peter.fedorapeople.org/erlang-js.spec
http://peter.fedorapeople.org/erlang-js-0.5.0-1.fc12.src.rpm

Koji scratchbuild for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2715012

rpmlint:
work ~/Desktop: rpmlint erlang-js-*
erlang-js.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 5)
erlang-js.src: W: invalid-url Source0: basho-erlang_js-erlang_js-0.5.0-0-g5350ed2.tar.gz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
work ~/Desktop:
Comment 2 Peter Lemenkov 2011-01-28 08:38:55 EST
Ver. 0.5.0-2:

http://peter.fedorapeople.org/erlang-js.spec
http://peter.fedorapeople.org/erlang-js-0.5.0-2.fc12.src.rpm

Dropped unneeded runtime dependency on eunit
Comment 3 Tim Niemueller 2011-02-19 06:31:10 EST
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

(+) rpmlint is not silent, some messages can be ignored:
  - Source URL: You can append the file name to the Github URL and then you have a valid source URL. It will work to download the file this way. But content and tarball name differ, cf. recent discussion on fedora-devel and http://support.github.com/discussions/repos/4565-sha-in-download-filename-does-not-match-directory

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (ASL 2.0).
+ The file, containing the text of the license(s) for the package, is included
in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

# sha256sum ../../SOURCES/basho-erlang_js-erlang_js-0.5.0-0-g5350ed2.tar.gz 
5dbe617c22a89e888aaa576df9adedd0bf3c78e6eecf07a88ee48e48aba609b9  ../../SOURCES/basho-erlang_js-erlang_js-0.5.0-0-g5350ed2.tar.gz

Github Download is currently down and I cannot download the tarball myself. Since I have reviewed packages by Peter before I trust him that the package contains the pristine source file.

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).

+ The package consistently uses macros.
  You use $RPM_BUILD_ROOT as a variable, but macros for everything else.
  Consider changing this, but since this is what rpmdev-newspec creates by
  default I consider this to be acceptable.

+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Looks very good. Unit tests make me confident it works although I cannot try it myself. The macro usage is a little spot, but nothing that stops this review from succeeding. The README file does not contain any real information to use the package, only that you shouldn't try on Windows and building instructions. It can be omitted from %doc section.

APPROVED.
Comment 4 Peter Lemenkov 2011-02-19 07:27:05 EST
Thanks!

New Package SCM Request
=======================
Package Name: erlang-js
Short Description: A Friendly Erlang to Javascript Binding
Owners: peter
Branches: F-14 F-15 EL-6
InitialCC:
Comment 5 Jason Tibbitts 2011-02-19 13:41:01 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-02-19 16:07:58 EST
erlang-js-0.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-js-0.5.0-2.fc14
Comment 7 Fedora Update System 2011-02-19 16:08:06 EST
erlang-js-0.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-js-0.5.0-2.el6
Comment 8 Fedora Update System 2011-02-19 16:08:13 EST
erlang-js-0.5.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/erlang-js-0.5.0-2.fc15
Comment 9 Fedora Update System 2011-02-19 23:12:41 EST
erlang-js-0.5.0-2.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-js'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-js-0.5.0-2.fc15
Comment 10 Fedora Update System 2011-03-02 22:09:32 EST
erlang-js-0.5.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-03-03 03:41:29 EST
erlang-js-0.5.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-03-07 13:24:31 EST
erlang-js-0.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.